Subject: bug#56424: hydra.nixos coverage job times out

From: Michael Albinus <[email-masked]>
Date: Sun, 10 Jul 2022 12:44:43 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi,

>>> Doesn't seem to be timing out now, but it's failing.
>>>
>>> https://hydra.nixos.org/build/182893714/nixlog/1
>>>
>>> lisp/dnd-tests.log:
>>>    FAILED dnd-tests-begin-drag-files "Method `mock' should specify
>>> both encoding and decoding command or an scp program"
>>>    FAILED dnd-tests-begin-file-drag "Method `mock' should specify
>>> both encoding and decoding command or an scp program"
>>>
>>> I've added Po to the CCs.
>>
>> Does the build system have scp installed?
>>
>> Also, most of the remote file test code involved here wasn't written by
>> me.  I think it was Michael Albinus.
>
> Right; adding Michael to the CCs.

Thanks for the heads-up. I've instrumented dnd-tests-begin-drag-files
for hydra; let's see what happens.

Best regards, Michael.